Index: trunk/admin/admin.php
===================================================================
--- trunk/admin/admin.php	(revision 343)
+++ trunk/admin/admin.php	(revision 344)
@@ -45,6 +45,6 @@
 
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-if (isset($param['aid'])) get_magic_quotes_gpc() ? $aid=$param['aid']:$aid=addslashes($param['aid']); 
-if (isset($param['pwd'])) get_magic_quotes_gpc() ? $pwd2=$param['pwd']:$pwd2=addslashes($param['pwd']); 
+if (isset($param['aid'])) $aid=addslashes($param['aid']); else $aid=''; 
+if (isset($param['pwd'])) $pwd2=addslashes($param['pwd']); else $pwd2=''; 
 // Additional security (Union, CLike, XSS)
 
@@ -399,5 +399,5 @@
 
 #echo "op:".$param['op']." -- aid:".$_SESSION['aid']."remote:".$_SESSION['remote']."REMOTE:".$_SERVER['REMOTE_ADDR'];
-if (isset($param['op'])) get_magic_quotes_gpc() ? $op=$param['op']:$op=addslashes($param['op']); else $op='ele';
+if (isset($param['op'])) $op=addslashes($param['op']); else $op='ele';
 //if (isset($param['op'])) $op=$param['op']; else $op='ele';
 if (isset($_SESSION['aid']) AND $_SESSION['remote']==$_SERVER['REMOTE_ADDR']) {
Index: trunk/admin/modules/Elezioni/controllo_votanti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 343)
+++ trunk/admin/modules/Elezioni/controllo_votanti.php	(revision 344)
@@ -37,5 +37,5 @@
 	$row = $sth->fetch(PDO::FETCH_BOTH);	
 	$genere = $row[0];
-if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
+if (isset($param['ops'])) $ops=addslashes($param['ops']); else $ops='';
 if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
 if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
Index: trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_voti.php	(revision 343)
+++ trunk/admin/modules/Elezioni/controllo_voti.php	(revision 344)
@@ -37,6 +37,5 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (! get_magic_quotes_gpc()) $magic='addslashes'; else $magic='';
-if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
+if (isset($param['ops'])) $ops=addslashes($param['ops']); else $ops='';
 if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
 if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
Index: trunk/admin/modules/Elezioni/ele_affluenze.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_affluenze.php	(revision 344)
@@ -19,5 +19,5 @@
 #$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
-$currentlang=$_SESSION['lang'];
+$language=$_SESSION['lang'];
 $id_cons_gen=$_GET['id_cons_gen'];
 $perms=ChiSei(0);
@@ -30,5 +30,5 @@
 
 if (isset($_GET['min'])) $min=intval($_GET['min']); else $min=0;
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($_GET['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($_GET['ov'])) $ov=intval($_GET['ov']); else $ov='';
 if (isset($_GET['mv'])) $mv=intval($_GET['mv']); else $mv='';
@@ -36,7 +36,7 @@
 if (isset($_GET['msv'])) $msv=intval($_GET['msv']); else $msv='';
 if (isset($_GET['av'])) $av=intval($_GET['av']); else $av='';
-if (isset($_GET['tipo'])) get_magic_quotes_gpc() ? $tipo=$param['tipo']:$tipo=addslashes($param['tipo']); else $tipo='';
-if (isset($_GET['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
-if (isset($_GET['modello'])) get_magic_quotes_gpc() ? $modello=$param['modello']:$modello=addslashes($param['modello']); else $modello='';
+if (isset($_GET['tipo'])) $tipo=addslashes($param['tipo']); else $tipo='';
+if (isset($_GET['ok'])) $ok=addslashes($param['ok']); else $ok='';
+if (isset($_GET['modello'])) $modello=addslashes($param['modello']); else $modello='';
 if (isset($_GET['help'])) $help=intval($_GET['help']);
 
Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 344)
@@ -39,6 +39,6 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (isset($_GET['descr_comu'])) get_magic_quotes_gpc() ? $descr_comu=$param['descr_comu']:$descr_comu=addslashes($param['descr_comu']); else $descr_comu='';
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($_GET['descr_comu'])) $descr_comu=addslashes($param['descr_comu']); else $descr_comu='';
+if (isset($_GET['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($_GET['ok'])) $ok=intval($_GET['ok']); else $ok='';
 if (isset($_GET['id_cons_comu'])) $id_cons_comu=intval($_GET['id_cons_comu']); else $id_cons_comu='0';
Index: trunk/admin/modules/Elezioni/ele_candidato.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_candidato.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_candidato.php	(revision 344)
@@ -34,7 +34,7 @@
 include("modules/Elezioni/ele.php");
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
 if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='';
 if (isset($param['id_sez'])) $id_sez=intval($param['id_sez']); else $id_sez='';
@@ -45,8 +45,8 @@
 if (isset($param['id_cand2'])) $id_cand2=intval($param['id_cand2']); else $id_cand2='';
 if (isset($param['num_lista'])) $num_lista=intval($param['num_lista']); else $num_lista='';
-if (isset($param['cognome'])) get_magic_quotes_gpc() ? $cognome=$param['cognome']:$cognome=addslashes($param['cognome']); else $cognome='';
-if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
-if (isset($param['nome'])) get_magic_quotes_gpc() ? $nome=$param['nome']:$nome=addslashes($param['nome']); else $nome='';
-if (isset($param['note'])) get_magic_quotes_gpc() ? $note=$param['note']:$note=addslashes($param['note']); else $note='';
+if (isset($param['cognome'])) $cognome=addslashes($param['cognome']); else $cognome='';
+if (isset($param['simbolo'])) $simbolo=addslashes($param['simbolo']); else $simbolo='';
+if (isset($param['nome'])) $nome=addslashes($param['nome']); else $nome='';
+if (isset($param['note'])) $note=addslashes($param['note']); else $note='';
 if (isset($param['num_cand'])) $num_cand=intval($param['num_cand']); else $num_cand=0;
 
Index: trunk/admin/modules/Elezioni/ele_circo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_circo.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_circo.php	(revision 344)
@@ -30,10 +30,10 @@
 include("modules/Elezioni/ele.php");
 // Offset - visualizza il numero di elementi per pagina
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($_GET['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($_GET['min'])) $min=intval($_GET['min']); else $min=0;
 if (isset($_GET['id_circ'])) $id_circ=intval($_GET['id_circ']); else $id_circ='';
 if (isset($_GET['ok'])) $ok=intval($_GET['ok']); else $ok='';
 if (isset($_GET['num_circ'])) $num_circ=intval($_GET['num_circ']); else $num_circ='';
-if (isset($_GET['descr_circ'])) get_magic_quotes_gpc() ? $descr_circ=$param['descr_circ']:$descr_circ=addslashes($param['descr_circ']); else $descr_circ='';
+if (isset($_GET['descr_circ'])) $descr_circ=addslashes($param['descr_circ']); else $descr_circ='';
 $offset=10;
 $hiddenInfo = "<input type=\"hidden\" name=\"min\" value=\"$min\">";
Index: trunk/admin/modules/Elezioni/ele_collegi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_collegi.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_collegi.php	(revision 344)
@@ -26,9 +26,9 @@
 
 $offset=15;
-if (isset($_GET['desc'])) get_magic_quotes_gpc() ? $desc=$param['desc']:$desc=addslashes($param['desc']);else $desc='';
+if (isset($_GET['desc'])) $desc=addslashes($param['desc']);else $desc='';
 if (isset($_GET['id_collegio'])) $id_collegio=intval($_GET['id_collegio']);else $id_collegio='';
 if (isset($_GET['ok'])) $ok=intval($_GET['ok']); else $ok='';
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']);else $do='';
-if (isset($_GET['op'])) get_magic_quotes_gpc() ? $op=$param['op']:$op=addslashes($param['op']);else $op='';
+if (isset($_GET['do'])) $do=addslashes($param['do']);else $do='';
+if (isset($_GET['op'])) $op=addslashes($param['op']);else $op='';
 
 
Index: trunk/admin/modules/Elezioni/ele_come.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_come.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_come.php	(revision 344)
@@ -24,11 +24,11 @@
 
 
-if (isset($param['add_title'])) get_magic_quotes_gpc() ? $add_title=$param['add_title']:$add_title=addslashes($param['add_title']); else $add_title='';
-if (isset($param['add_preamble'])) get_magic_quotes_gpc() ? $add_preamble=$param['add_preamble']:$add_preamble=addslashes($param['add_preamble']); else $add_preamble='';
-if (isset($param['add_content'])) get_magic_quotes_gpc() ? $add_content=$param['add_content']:$add_content=addslashes($param['add_content']); else $add_content='';
-if (isset($param['vai'])) get_magic_quotes_gpc() ? $vai=$param['vai']:$vai=addslashes($param['vai']); else $vai='come';
-if (isset($param['mid'])) get_magic_quotes_gpc() ? $mid=$param['mid']:$mid=addslashes($param['mid']); else $mid='';
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
-if (isset($param['op'])) get_magic_quotes_gpc() ? $op=$param['op']:$op=addslashes($param['op']); else $op='come';
+if (isset($param['add_title'])) $add_title=addslashes($param['add_title']); else $add_title='';
+if (isset($param['add_preamble'])) $add_preamble=addslashes($param['add_preamble']); else $add_preamble='';
+if (isset($param['add_content'])) $add_content=addslashes($param['add_content']); else $add_content='';
+if (isset($param['vai'])) $vai=addslashes($param['vai']); else $vai='come';
+if (isset($param['mid'])) $mid=addslashes($param['mid']); else $mid='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
+if (isset($param['op'])) $op=addslashes($param['op']); else $op='come';
 $tab='_ele_'.$op;
 
Index: trunk/admin/modules/Elezioni/ele_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_comuni.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_comuni.php	(revision 344)
@@ -23,9 +23,9 @@
 //if ($perms<128 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 if ($perms!=256) die("$perms Non hai i permessi per inserire dati!");
-if (isset($param['desc'])) get_magic_quotes_gpc() ? $desc=$param['desc']:$desc=addslashes($param['desc']); else $desc='';
-if (isset($param['indirizzo'])) get_magic_quotes_gpc() ? $indirizzo=$param['indirizzo']:$indirizzo=addslashes($param['indirizzo']); else $indirizzo='';
-if (isset($param['centralino'])) get_magic_quotes_gpc() ? $centralino=$param['centralino']:$centralino=addslashes($param['centralino']); else $centralino='';
-if (isset($param['fax'])) get_magic_quotes_gpc() ? $fax=$param['fax']:$fax=addslashes($param['fax']); else $fax='';
-if (isset($param['email'])) get_magic_quotes_gpc() ? $email=$param['email']:$email=addslashes($param['email']); else $email='';
+if (isset($param['desc'])) $desc=addslashes($param['desc']); else $desc='';
+if (isset($param['indirizzo'])) $indirizzo=addslashes($param['indirizzo']); else $indirizzo='';
+if (isset($param['centralino'])) $centralino=addslashes($param['centralino']); else $centralino='';
+if (isset($param['fax'])) $fax=addslashes($param['fax']); else $fax='';
+if (isset($param['email'])) $email=addslashes($param['email']); else $email='';
 if (isset($param['id_comune2'])) $id_comune2=intval($param['id_comune2']); else $id_comune2='';
 if (isset($param['min'])) $min=intval($param['min']); else $min='';
@@ -33,7 +33,7 @@
 if (isset($param['fascia'])) $fasciatmp=intval($param['fascia']); else $fasciatmp=0;
 if (isset($param['prov'])) $prov=intval($param['prov']); else $prov=0;
-if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
-if (isset($param['cerca'])) get_magic_quotes_gpc() ? $cerca=$param['cerca']:$cerca=addslashes($param['cerca']); else $cerca='';
-if (isset($param['cap'])) get_magic_quotes_gpc() ? $cap=$param['cap']:$cap=addslashes($param['cap']); else $cap='';
+if (isset($param['simbolo'])) $simbolo=addslashes($param['simbolo']); else $simbolo='';
+if (isset($param['cerca'])) $cerca=addslashes($param['cerca']); else $cerca='';
+if (isset($param['cap'])) $cap=addslashes($param['cap']); else $cap='';
 
 	$sql="SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' ";
@@ -265,5 +265,5 @@
 }
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 
 if ($do)
Index: trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_confcons.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_confcons.php	(revision 344)
@@ -18,5 +18,5 @@
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
-$currentlang=$_SESSION['lang'];
+$language=$_SESSION['lang'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 $id_cons_gen=$param['id_cons_gen'];	
@@ -33,22 +33,21 @@
 include("modules/Elezioni/ele.php");
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
-if (isset($param['descrizione'])) get_magic_quotes_gpc() ? 
-$descrizione=$param['descrizione']:$descrizione=addslashes($param['descrizione']); else $descrizione='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
+if (isset($param['descrizione'])) $descrizione=addslashes($param['descrizione']); else $descrizione='';
 if (isset($param['id_conf'])) $id_conf=intval($param['id_conf']); else $id_conf='';
-if (isset($param['limite'])) get_magic_quotes_gpc() ? $limite=$param['limite']:$limite=addslashes($param['limite']); else $limite='';
-if (isset($param['consin'])) get_magic_quotes_gpc() ? $consin=$param['consin']:$consin=addslashes($param['consin']); else $consin='';
-if (isset($param['infpremio'])) get_magic_quotes_gpc() ? $infpremio=$param['infpremio']:$infpremio=addslashes($param['infpremio']); else $infpremio='';
-if (isset($param['listinfsbar'])) get_magic_quotes_gpc() ? $listinfsbar=$param['listinfsbar']:$listinfsbar=addslashes($param['listinfsbar']); else $listinfsbar='';
-if (isset($param['infminpremio'])) get_magic_quotes_gpc() ? $infminpremio=$param['infminpremio']:$infminpremio=addslashes($param['infminpremio']); else $infminpremio='';
-if (isset($param['listinfconta'])) get_magic_quotes_gpc() ? $listinfconta=$param['listinfconta']:$listinfconta=addslashes($param['listinfconta']); else $listinfconta='';
-if (isset($param['suppremio'])) get_magic_quotes_gpc() ? $suppremio=$param['suppremio']:$suppremio=addslashes($param['suppremio']); else $suppremio='';
-if (isset($param['supsbarramento'])) get_magic_quotes_gpc() ? $supsbarramento=$param['supsbarramento']:$supsbarramento=addslashes($param['supsbarramento']); else $supsbarramento='';
-if (isset($param['supminpremio'])) get_magic_quotes_gpc() ? $supminpremio=$param['supminpremio']:$supminpremio=addslashes($param['supminpremio']); else $supminpremio='';
-if (isset($param['listsupconta'])) get_magic_quotes_gpc() ? $listsupconta=$param['listsupconta']:$listsupconta=addslashes($param['listsupconta']); else $listsupconta='';
-#if (isset($param['infdisgiunto'])) get_magic_quotes_gpc() ? $infdisgiunto=$param['infdisgiunto']:$infdisgiunto=addslashes($param['infdisgiunto']); else $infdisgiunto='';
-#if (isset($param['supdisgiunto'])) get_magic_quotes_gpc() ? $supdisgiunto=$param['supdisgiunto']:$supdisgiunto=addslashes($param['supdisgiunto']); else $supdisgiunto='';
+if (isset($param['limite'])) $limite=addslashes($param['limite']); else $limite='';
+if (isset($param['consin'])) $consin=addslashes($param['consin']); else $consin='';
+if (isset($param['infpremio'])) $infpremio=addslashes($param['infpremio']); else $infpremio='';
+if (isset($param['listinfsbar'])) $listinfsbar=addslashes($param['listinfsbar']); else $listinfsbar='';
+if (isset($param['infminpremio'])) $infminpremio=addslashes($param['infminpremio']); else $infminpremio='';
+if (isset($param['listinfconta'])) $listinfconta=addslashes($param['listinfconta']); else $listinfconta='';
+if (isset($param['suppremio'])) $suppremio=addslashes($param['suppremio']); else $suppremio='';
+if (isset($param['supsbarramento'])) $supsbarramento=addslashes($param['supsbarramento']); else $supsbarramento='';
+if (isset($param['supminpremio'])) $supminpremio=addslashes($param['supminpremio']); else $supminpremio='';
+if (isset($param['listsupconta'])) $listsupconta=addslashes($param['listsupconta']); else $listsupconta='';
+#if (isset($param['infdisgiunto'])) $infdisgiunto=addslashes($param['infdisgiunto']); else $infdisgiunto='';
+#if (isset($param['supdisgiunto'])) $supdisgiunto=addslashes($param['supdisgiunto']); else $supdisgiunto='';
 if (isset($param['help'])) $help=intval($param['help']);
 
@@ -57,5 +56,5 @@
 /*****************************************************/
 	function all() {
-   		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$id_conf, $language,$help;
+   		global $tipo_cons,$param, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$id_conf, $language,$help;
 	
 	if (isset($help)) include("language/$language/ele_confcons.html");
Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 344)
@@ -18,5 +18,5 @@
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
-$currentlang=$_SESSION['lang'];
+$language=$_SESSION['lang'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 $id_cons_gen=$param['id_cons_gen'];	
@@ -31,23 +31,22 @@
 if(isset($row[0])) {$tipo_cons=$row[0];$id_cons=$row[1];} else {$tipo_cons=0; $id_cons=0;}
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
-if (isset($param['blocco'])) get_magic_quotes_gpc() ? 
-$blocco=$param['blocco']:$blocco=addslashes($param['blocco']); else $blocco='';
-if (isset($param['tema2'])) get_magic_quotes_gpc() ? $tema2=$param['tema2']:$tema2=addslashes($param['tema2']); else $tema2='';
-if (isset($param['multicomune'])) get_magic_quotes_gpc() ? $multicomune=$param['multicomune']:$multicomune=addslashes($param['multicomune']); else $multicomune='';
-if (isset($param['fileout'])) get_magic_quotes_gpc() ? $fileout=$param['fileout']:$fileout=addslashes($param['fileout']); else $fileout='';
-if (isset($param['prefix2'])) get_magic_quotes_gpc() ? $prefix2=$param['prefix2']:$prefix2=addslashes($param['prefix2']); else $prefix2='';
-if (isset($param['adminmail'])) get_magic_quotes_gpc() ? $adminmail=$param['adminmail']:$adminmail=addslashes($param['adminmail']); else $adminmail='';
-if (isset($param['siteurl'])) get_magic_quotes_gpc() ? $siteurl=$param['siteurl']:$siteurl=addslashes($param['siteurl']); else $siteurl='';
-if (isset($param['sitename'])) get_magic_quotes_gpc() ? $sitename=$param['sitename']:$sitename=addslashes($param['sitename']); else $sitename='';
-if (isset($param['siteistat'])) get_magic_quotes_gpc() ? $siteistat=$param['siteistat']:$siteistat=addslashes($param['siteistat']); else $siteistat='';
-if (isset($param['language2'])) get_magic_quotes_gpc() ? $language2=$param['language2']:$language2=addslashes($param['language2']); else $language2='';
-if (isset($param['flash2'])) get_magic_quotes_gpc() ? $flash2=$param['flash2']:$flash2=addslashes($param['flash2']); else $flash2='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
+if (isset($param['blocco'])) $blocco=addslashes($param['blocco']); else $blocco='';
+if (isset($param['tema2'])) $tema2=addslashes($param['tema2']); else $tema2='';
+if (isset($param['multicomune'])) $multicomune=addslashes($param['multicomune']); else $multicomune='';
+if (isset($param['fileout'])) $fileout=addslashes($param['fileout']); else $fileout='';
+if (isset($param['prefix2'])) $prefix2=addslashes($param['prefix2']); else $prefix2='';
+if (isset($param['adminmail'])) $adminmail=addslashes($param['adminmail']); else $adminmail='';
+if (isset($param['siteurl'])) $siteurl=addslashes($param['siteurl']); else $siteurl='';
+if (isset($param['sitename'])) $sitename=addslashes($param['sitename']); else $sitename='';
+if (isset($param['siteistat'])) $siteistat=addslashes($param['siteistat']); else $siteistat='';
+if (isset($param['language2'])) $language2=addslashes($param['language2']); else $language2='';
+if (isset($param['flash2'])) $flash2=addslashes($param['flash2']); else $flash2='';
 if (isset($param['displayerrors'])) $displayerrors=intval($param['displayerrors']); else $displayerrors='0';
 
-if (isset($param['gkey'])) get_magic_quotes_gpc() ? $gkey=$param['gkey']:$gkey=addslashes($param['gkey']); else $gkey='';
-if (isset($param['ed_user'])) get_magic_quotes_gpc() ? $ed_user=$param['ed_user']:$ed_user=addslashes($param['ed_user']); else $ed_user='';
+if (isset($param['gkey'])) $gkey=addslashes($param['gkey']); else $gkey='';
+if (isset($param['ed_user'])) $ed_user=addslashes($param['ed_user']); else $ed_user='';
 if (isset($param['googlemaps'])) $googlemaps=intval($param['googlemaps']); else $googlemaps='0';
 if (isset($param['editor'])) $editor=intval($param['editor']); else $editor='0';
@@ -61,5 +60,5 @@
 /*****************************************************/
 	function all() {
-   		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $prefix2, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$tema,$language,$help;
+   		global $tipo_cons,$param, $bgcolor1, $bgcolor2, $prefix, $prefix2, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$do,$tema,$language,$help;
 		global $gkey,$ed_user,$googlemaps,$editor,$tema_on;
 
Index: trunk/admin/modules/Elezioni/ele_cons_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 344)
@@ -21,4 +21,5 @@
 $id_cons_gen=$_GET['id_cons_gen'];
 $id_comune=$_SESSION['id_comune'];
+$language=$_SESSION['lang'];
 $perms=ChiSei(0);
 if ($perms<64 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
@@ -29,10 +30,10 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
 if (isset($param['id_cons2'])) $id_cons2=intval($param['id_cons2']); else $id_cons2='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['duplica'])) $duplica=intval($param['duplica']); else $duplica='';
-if (isset($param['elettori'])) get_magic_quotes_gpc() ? $elettori=$param['elettori']:$elettori=addslashes($param['elettori']); else $elettori='';
+if (isset($param['elettori'])) $elettori=addslashes($param['elettori']); else $elettori='';
 if (isset($param['predefinita'])) $predefinita=intval($param['predefinita']); else $predefinita='';
 if (isset($param['help'])) $help=intval($param['help']);
Index: trunk/admin/modules/Elezioni/ele_consultazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 344)
@@ -22,7 +22,7 @@
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['ok'])) $ok=intval($param['ok']); else $ok=0;
-if (isset($param['data_in'])) get_magic_quotes_gpc() ? $data_in=$param['data_in']:$data_in=addslashes($param['data_in']); else $data_in='';
-if (isset($param['data_fine'])) get_magic_quotes_gpc() ? $data_fine=$param['data_fine']:$data_fine=addslashes($param['data_fine']); else $data_fine='';
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['data_in'])) $data_in=addslashes($param['data_in']); else $data_in='';
+if (isset($param['data_fine'])) $data_fine=addslashes($param['data_fine']); else $data_fine='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['dig'])) $dig=intval($param['dig']); else $dig=date("d",time());
 if (isset($param['dim'])) $dim=intval($param['dim']); else $dim=date("m",time());
@@ -32,14 +32,14 @@
 if (isset($param['dfa'])) $dfa=intval($param['dfa']); else $dfa=date("Y",time());
 if (isset($param['duplica'])) $duplica=intval($param['duplica']); else $duplica='';
-if (isset($param['referendum'])) get_magic_quotes_gpc() ? $referendum=$param['referendum']:$referendum=addslashes($param['referendum']); else $referendum='';
-if (isset($param['liste'])) get_magic_quotes_gpc() ? $liste=$param['liste']:$liste=addslashes($param['liste']); else $liste='';
-if (isset($param['gruppi'])) get_magic_quotes_gpc() ? $gruppi=$param['gruppi']:$gruppi=addslashes($param['gruppi']); else $gruppi='';
-if (isset($param['votigruppo'])) get_magic_quotes_gpc() ? $votigruppo=$param['votigruppo']:$votigruppo=addslashes($param['votigruppo']); else $votigruppo='';
-if (isset($param['votilista'])) get_magic_quotes_gpc() ? $votilista=$param['votilista']:$votilista=addslashes($param['votilista']); else $votilista='';
-if (isset($param['voticandi'])) get_magic_quotes_gpc() ? $voticandi=$param['voticandi']:$voticandi=addslashes($param['voticandi']); else $voticandi='';
-if (isset($param['ballo'])) get_magic_quotes_gpc() ? $ballo=$param['ballo']:$ballo=addslashes($param['ballo']); else $ballo='';
-if (isset($param['circo'])) get_magic_quotes_gpc() ? $circo=$param['circo']:$circo=addslashes($param['circo']); else $circo='';
-if (isset($param['descr_cons2'])) get_magic_quotes_gpc() ? $descr_cons2=$param['descr_cons2']:$descr_cons2=addslashes($param['descr_cons2']); else $descr_cons2='';
-if (isset($param['tipocons'])) get_magic_quotes_gpc() ? $tipocons=$param['tipocons']:$tipocons=addslashes($param['tipocons']); else $tipocons=$tipo_cons;
+if (isset($param['referendum'])) $referendum=addslashes($param['referendum']); else $referendum='';
+if (isset($param['liste'])) $liste=addslashes($param['liste']); else $liste='';
+if (isset($param['gruppi'])) $gruppi=addslashes($param['gruppi']); else $gruppi='';
+if (isset($param['votigruppo'])) $votigruppo=addslashes($param['votigruppo']); else $votigruppo='';
+if (isset($param['votilista'])) $votilista=addslashes($param['votilista']); else $votilista='';
+if (isset($param['voticandi'])) $voticandi=addslashes($param['voticandi']); else $voticandi='';
+if (isset($param['ballo'])) $ballo=addslashes($param['ballo']); else $ballo='';
+if (isset($param['circo'])) $circo=addslashes($param['circo']); else $circo='';
+if (isset($param['descr_cons2'])) $descr_cons2=addslashes($param['descr_cons2']); else $descr_cons2='';
+if (isset($param['tipocons'])) $tipocons=addslashes($param['tipocons']); else $tipocons=$tipo_cons;
 if (isset($param['help'])) $help=intval($param['help']);
 $id_comune=$_SESSION['id_comune'];
Index: trunk/admin/modules/Elezioni/ele_consultazionitipi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 344)
@@ -27,15 +27,15 @@
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['ok'])) $ok=intval($param['ok']); else $ok=0;
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
-if (isset($param['referendum'])) get_magic_quotes_gpc() ? $referendum=$param['referendum']:$referendum=addslashes($param['referendum']); else $referendum='';
-if (isset($param['liste'])) get_magic_quotes_gpc() ? $liste=$param['liste']:$liste=addslashes($param['liste']); else $liste='';
-if (isset($param['gruppi'])) get_magic_quotes_gpc() ? $gruppi=$param['gruppi']:$gruppi=addslashes($param['gruppi']); else $gruppi='';
-if (isset($param['votigruppo'])) get_magic_quotes_gpc() ? $votigruppo=$param['votigruppo']:$votigruppo=addslashes($param['votigruppo']); else $votigruppo='';
-if (isset($param['votilista'])) get_magic_quotes_gpc() ? $votilista=$param['votilista']:$votilista=addslashes($param['votilista']); else $votilista='';
-if (isset($param['voticandi'])) get_magic_quotes_gpc() ? $voticandi=$param['voticandi']:$voticandi=addslashes($param['voticandi']); else $voticandi='';
-if (isset($param['ballo'])) get_magic_quotes_gpc() ? $ballo=$param['ballo']:$ballo=addslashes($param['ballo']); else $ballo='';
-if (isset($param['circo'])) get_magic_quotes_gpc() ? $circo=$param['circo']:$circo=addslashes($param['circo']); else $circo='';
-if (isset($param['descr_cons2'])) get_magic_quotes_gpc() ? $descr_cons2=$param['descr_cons2']:$descr_cons2=addslashes($param['descr_cons2']); else $descr_cons2='';
-if (isset($param['tipocons'])) get_magic_quotes_gpc() ? $tipocons=$param['tipocons']:$tipocons=addslashes($param['tipocons']); else $tipocons=$tipo_cons;
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($param['referendum'])) $referendum=addslashes($param['referendum']); else $referendum='';
+if (isset($param['liste'])) $liste=addslashes($param['liste']); else $liste='';
+if (isset($param['gruppi'])) $gruppi=addslashes($param['gruppi']); else $gruppi='';
+if (isset($param['votigruppo'])) $votigruppo=addslashes($param['votigruppo']); else $votigruppo='';
+if (isset($param['votilista'])) $votilista=addslashes($param['votilista']); else $votilista='';
+if (isset($param['voticandi'])) $voticandi=addslashes($param['voticandi']); else $voticandi='';
+if (isset($param['ballo'])) $ballo=addslashes($param['ballo']); else $ballo='';
+if (isset($param['circo'])) $circo=addslashes($param['circo']); else $circo='';
+if (isset($param['descr_cons2'])) $descr_cons2=addslashes($param['descr_cons2']); else $descr_cons2='';
+if (isset($param['tipocons'])) $tipocons=addslashes($param['tipocons']); else $tipocons=$tipo_cons;
 if (isset($param['help'])) $help=intval($param['help']);
 
Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 344)
@@ -32,16 +32,16 @@
 include("modules/Elezioni/ele.php");
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
 if (isset($param['id_circ'])) {$id_circ=intval($param['id_circ']); $_SESSION['id_circ']=$id_circ;} else
 if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ='';
 if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
 if (isset($param['num_gruppo'])) $num_gruppo=intval($param['num_gruppo']); else $num_gruppo='';
-if (isset($param['descr_gruppo'])) get_magic_quotes_gpc() ? $descr_gruppo=$param['descr_gruppo']:$descr_gruppo=addslashes($param['descr_gruppo']); else $descr_gruppo='';
-if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
-if (isset($param['delsimb'])) get_magic_quotes_gpc() ? $delsimb=$param['delsimb']:$delsimb=addslashes($param['delsimb']);
-if (isset($param['delprog'])) get_magic_quotes_gpc() ? $delprog=$param['delprog']:$delprog=addslashes($param['delprog']);
+if (isset($param['descr_gruppo'])) $descr_gruppo=addslashes($param['descr_gruppo']); else $descr_gruppo='';
+if (isset($param['simbolo'])) $simbolo=addslashes($param['simbolo']); else $simbolo='';
+if (isset($param['delsimb'])) $delsimb=addslashes($param['delsimb']);
+if (isset($param['delprog'])) $delprog=addslashes($param['delprog']);
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 344)
@@ -26,8 +26,8 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (isset($param['mex'])) get_magic_quotes_gpc() ? $mex=$param['mex']:$mex=addslashes($param['mex']); else $mex='';
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['mex'])) $mex=addslashes($param['mex']); else $mex='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
 if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista=0;
 if (isset($param['id_circ'])) {$id_circ=intval($param['id_circ']); $_SESSION['id_circ']=$id_circ;} else
@@ -36,7 +36,7 @@
 if (isset($param['id_gruppo2'])) $id_gruppo2=intval($param['id_gruppo2']); else $id_gruppo2=0;
 if (isset($param['num_lista'])) $num_lista=intval($param['num_lista']); else $num_lista=0;
-if (isset($param['descr_lista'])) get_magic_quotes_gpc() ? $descr_lista=$param['descr_lista']:$descr_lista=addslashes($param['descr_lista']); else $descr_lista='';
-if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
-if (isset($param['stemma'])) get_magic_quotes_gpc() ? $stemma=$param['stemma']:$stemma=addslashes($param['stemma']); else $stemma='';
+if (isset($param['descr_lista'])) $descr_lista=addslashes($param['descr_lista']); else $descr_lista='';
+if (isset($param['simbolo'])) $simbolo=addslashes($param['simbolo']); else $simbolo='';
+if (isset($param['stemma'])) $stemma=addslashes($param['stemma']); else $stemma='';
 
 // Offset - visualizza il numero di elementi per pagina
Index: trunk/admin/modules/Elezioni/ele_operatori.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_operatori.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_operatori.php	(revision 344)
@@ -19,11 +19,11 @@
 $res->execute();	
 list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
-if (isset($_GET['aid2'])) get_magic_quotes_gpc() ? $aid2=$param['aid2']:$aid2=addslashes($param['aid2']); else {if ($perms==256) $aid2='admin'; else $aid2='';}
+if (isset($_GET['aid2'])) $aid2=addslashes($param['aid2']); else {if ($perms==256) $aid2='admin'; else $aid2='';}
 if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='';
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
-if (isset($_GET['name'])) get_magic_quotes_gpc() ? $name=$param['name']:$name=addslashes($param['name']); else $name='';
-if (isset($_GET['email'])) get_magic_quotes_gpc() ? $email=$param['email']:$email=addslashes($param['email']); else $email='';
-if (isset($_GET['passwd'])) get_magic_quotes_gpc() ? $passwd=$param['passwd']:$passwd=addslashes($param['passwd']); else $passwd='';
-if (isset($_GET['passwd2'])) get_magic_quotes_gpc() ? $passwd2=$param['passwd2']:$passwd2=addslashes($param['passwd2']); else $passwd2='';
+if (isset($_GET['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($_GET['name'])) $name=addslashes($param['name']); else $name='';
+if (isset($_GET['email'])) $email=addslashes($param['email']); else $email='';
+if (isset($_GET['passwd'])) $passwd=addslashes($param['passwd']); else $passwd='';
+if (isset($_GET['passwd2'])) $passwd2=addslashes($param['passwd2']); else $passwd2='';
 
 include("modules/Elezioni/funzionidata.php");
Index: trunk/admin/modules/Elezioni/ele_operatori_admin.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 344)
@@ -24,5 +24,5 @@
 $perms=ChiSei(0);
 if ($perms!=256) die("Non hai i permessi per inserire dati!");
-if (isset($_GET['aid2'])) get_magic_quotes_gpc() ? $aid2=$param['aid2']:$aid2=addslashes($param['aid2']); else $aid2='';
+if (isset($_GET['aid2'])) $aid2=addslashes($param['aid2']); else $aid2='';
 if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='';
 if (isset($_GET['id_comune2'])) $id_comune2=intval($_GET['id_comune2']); else $id_comune2='';
Index: trunk/admin/modules/Elezioni/ele_permessi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_permessi.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_permessi.php	(revision 344)
@@ -23,11 +23,11 @@
 $res->execute();				
 list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
-if (isset($param['aid2'])) get_magic_quotes_gpc() ? $aid2=$param['aid2']:$aid2=addslashes($param['aid2']); else $aid2='';
+if (isset($param['aid2'])) $aid2=addslashes($param['aid2']); else $aid2='';
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
-if (isset($param['permessi'])) get_magic_quotes_gpc() ? $permessi=$param['permessi']:$permessi=addslashes($param['permessi']); else $permessi='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($param['permessi'])) $permessi=addslashes($param['permessi']); else $permessi='';
 if (isset($param['id_comune2'])) $id_comune2=intval($param['id_comune2']); else $id_comune2='';
 if (isset($param['ok'])) $ok=intval($param['ok']); else $ok='';
-if (isset($param['mex'])) get_magic_quotes_gpc() ? $mex=$param['mex']:$mex=addslashes($param['mex']); else $mex='';
+if (isset($param['mex'])) $mex=addslashes($param['mex']); else $mex='';
 
 include("modules/Elezioni/funzionidata.php");
Index: trunk/admin/modules/Elezioni/ele_pwd.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_pwd.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_pwd.php	(revision 344)
@@ -25,8 +25,8 @@
 
 
-if (isset($param['pwd1'])) get_magic_quotes_gpc() ? $pwd1=$param['pwd1']:$pwd1=addslashes($param['pwd1']); else $pwd1='';
-if (isset($param['pwd2'])) get_magic_quotes_gpc() ? $pwd2=$param['pwd2']:$pwd2=addslashes($param['pwd2']); else $pwd2='';
-if (isset($param['oldpwd'])) get_magic_quotes_gpc() ? $oldpwd=$param['oldpwd']:$oldpwd=addslashes($param['oldpwd']); else $oldpwd='';
-if (isset($param['op'])) get_magic_quotes_gpc() ? $op=$param['op']:$op=addslashes($param['op']); else $op='cambiopwd';
+if (isset($param['pwd1'])) $pwd1=addslashes($param['pwd1']); else $pwd1='';
+if (isset($param['pwd2'])) $pwd2=addslashes($param['pwd2']); else $pwd2='';
+if (isset($param['oldpwd'])) $oldpwd=addslashes($param['oldpwd']); else $oldpwd='';
+if (isset($param['op'])) $op=addslashes($param['op']); else $op='cambiopwd';
 if (isset($param['mex'])) $mex=intval($param['mex']); else $mex='';
 
Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 344)
@@ -36,6 +36,6 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (! get_magic_quotes_gpc()) $magic='addslashes'; else $magic='';
-if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
+
+if (isset($param['ops'])) $ops=addslashes($param['ops']); else $ops='';
 if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
 if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
Index: trunk/admin/modules/Elezioni/ele_riepilogovoti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 344)
@@ -36,6 +36,5 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (! get_magic_quotes_gpc()) $magic='addslashes'; else $magic='';
-if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
+if (isset($param['ops'])) $ops=addslashes($param['ops']); else $ops='';
 if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
 if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
Index: trunk/admin/modules/Elezioni/ele_sede.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_sede.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_sede.php	(revision 344)
@@ -30,6 +30,6 @@
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
-if (isset($param['descr_circ'])) get_magic_quotes_gpc() ? $descr_circ=$param['descr_circ']:$descr_circ=addslashes($param['descr_circ']); else $descr_circ='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
+if (isset($param['descr_circ'])) $descr_circ=addslashes($param['descr_circ']); else $descr_circ='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
@@ -38,11 +38,11 @@
 if (isset($param['id_circ'])) $id_circ=intval($param['id_circ']); else $id_circ='';
 if (isset($param['id_sede2'])) $id_sede2=intval($param['id_sede2']); else $id_sede2='';
-if (isset($param['indir'])) get_magic_quotes_gpc() ? $indir=$param['indir']:$indir=addslashes($param['indir']); else $indir='';
-if (isset($param['tel1'])) get_magic_quotes_gpc() ? $tel1=$param['tel1']:$tel1=addslashes($param['tel1']); else $tel1='';
-if (isset($param['tel2'])) get_magic_quotes_gpc() ? $tel2=$param['tel2']:$tel2=addslashes($param['tel2']); else $tel2='';
-if (isset($param['fax'])) get_magic_quotes_gpc() ? $fax=$param['fax']:$fax=addslashes($param['fax']); else $fax='';
-if (isset($param['resp'])) get_magic_quotes_gpc() ? $resp=$param['resp']:$resp=addslashes($param['resp']); else $resp='';
-if (isset($param['filemappa'])) get_magic_quotes_gpc() ? $filemappa=$param['filemappa']:$filemappa=addslashes($param['filemappa']); else $filemappa='';
-if (isset($param['mappa'])) get_magic_quotes_gpc() ? $mappa=$param['mappa']:$mappa=addslashes($param['mappa']); else $mappa='';
+if (isset($param['indir'])) $indir=addslashes($param['indir']); else $indir='';
+if (isset($param['tel1'])) $tel1=addslashes($param['tel1']); else $tel1='';
+if (isset($param['tel2'])) $tel2=addslashes($param['tel2']); else $tel2='';
+if (isset($param['fax'])) $fax=addslashes($param['fax']); else $fax='';
+if (isset($param['resp'])) $resp=addslashes($param['resp']); else $resp='';
+if (isset($param['filemappa'])) $filemappa=addslashes($param['filemappa']); else $filemappa='';
+if (isset($param['mappa'])) $mappa=addslashes($param['mappa']); else $mappa='';
 
 
Index: trunk/admin/modules/Elezioni/ele_sezione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_sezione.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_sezione.php	(revision 344)
@@ -22,5 +22,5 @@
 $res->execute(); 
 list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 344)
@@ -23,5 +23,5 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<16 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-if (isset($_GET['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 //if (isset($param['id_cons'])) $id_cons=intval($param['id_cons']); else $id_cons='';
 if (isset($param['ops'])) $ops=intval($param['ops']); else $ops='';
Index: trunk/admin/modules/Elezioni/ele_widget.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_widget.php	(revision 343)
+++ trunk/admin/modules/Elezioni/ele_widget.php	(revision 344)
@@ -31,12 +31,10 @@
 if(isset($row[0])) {$tipo_cons=$row[0];$id_cons=$row[1];} else {$tipo_cons=0; $id_cons=0;}
 
-if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
+if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
-if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
+if (isset($param['ok'])) $ok=addslashes($param['ok']); else $ok='';
 if (isset($param['idw'])) $idw=intval($param['idw']); else $idw='';
-if (isset($param['nome_file'])) get_magic_quotes_gpc() ? 
-$nome_file=$param['nome_file']:$nome_file=addslashes($param['nome_file']); else $nome_file='';
-if (isset($param['titolo'])) get_magic_quotes_gpc() ? 
-$titolo=$param['titolo']:$titolo=addslashes($param['titolo']); else $titolo='';
+if (isset($param['nome_file'])) $nome_file=addslashes($param['nome_file']); else $nome_file='';
+if (isset($param['titolo'])) $titolo=addslashes($param['titolo']); else $titolo='';
 if (isset($param['pos_or'])) $pos_or=intval($param['pos_or']); else $pos_or='';
 if (isset($param['pos_ver'])) $pos_ver=intval($param['pos_ver']); else $pos_ver='';
Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 343)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 344)
@@ -15,8 +15,8 @@
 $perms=ChiSei(0);
 if ($perms<32) die("Non hai i permessi per effettuare questa operazione!");
-
+$language=$_SESSION['lang'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 $id_cons_gen=intval($param['id_cons_gen']);
-if (isset($param['datafile'])) get_magic_quotes_gpc() ? $datafile=$param['datafile']:$datafile=addslashes($param['datafile']); else $datafile='';
+if (isset($param['datafile'])) $datafile=addslashes($param['datafile']); else $datafile='';
 include("modules/Elezioni/ele.php");
 
Index: trunk/admin/modules/Elezioni/restore.php
===================================================================
--- trunk/admin/modules/Elezioni/restore.php	(revision 343)
+++ trunk/admin/modules/Elezioni/restore.php	(revision 344)
@@ -17,5 +17,5 @@
 
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-if (isset($param['datafile'])) get_magic_quotes_gpc() ? $datafile=$param['datafile']:$datafile=addslashes($param['datafile']); else $datafile='';
+if (isset($param['datafile'])) $datafile=addslashes($param['datafile']); else $datafile='';
 include("modules/Elezioni/ele.php");
 ele();
Index: trunk/admin/modules/Elezioni/salva_aff.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_aff.php	(revision 343)
+++ trunk/admin/modules/Elezioni/salva_aff.php	(revision 344)
@@ -33,10 +33,10 @@
 if (isset($_GET['voti_d'])) $voti_d=intval($_GET['voti_d']); else $voti_d='0';
 if (isset($_GET['voti_t'])) $voti_t=intval($_GET['voti_t']); else $voti_t='0';
-if (isset($_GET['orario'])) get_magic_quotes_gpc() ? $orario=$_GET['orario']:$orario=addslashes($_GET['orario']); else $orario='';
-if (isset($_GET['data'])) get_magic_quotes_gpc() ? $data=$_GET['data']:$data=addslashes($_GET['data']); else $data='01-01-1900';
+if (isset($_GET['orario'])) $orario=addslashes($_GET['orario']); else $orario='';
+if (isset($_GET['data'])) $data=addslashes($_GET['data']); else $data='01-01-1900';
 if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='0';
 if (isset($_GET['id_gruppo'])) $id_gruppo=intval($_GET['id_gruppo']); else $id_gruppo='0';
 if (isset($_GET['genere'])) $genere=intval($_GET['genere']); else $genere='0';
-if (isset($_GET['delete'])) get_magic_quotes_gpc() ? $delete=$_GET['delete']:$delete=addslashes($_GET['delete']); else $delete='';
+if (isset($_GET['delete'])) $delete=addslashes($_GET['delete']); else $delete='';
 global $prefix,$id_parz,$tempo,$username,$aid,$dbi,$genere;
 
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 343)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 344)
@@ -41,5 +41,5 @@
 if (isset($_GET['sololista'])) $sololista=intval($_GET['sololista']); else $sololista='0';
 if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='';
-if (isset($_GET['circo'])) get_magic_quotes_gpc() ? $circo=$_GET['circo']:$circo=addslashes($_GET['circo']); else $circo='';
+if (isset($_GET['circo'])) $circo=addslashes($_GET['circo']); else $circo='';
 
 global $prefix,$id_parz,$fileout;
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 343)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 344)
@@ -47,5 +47,5 @@
 if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='3';
 if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='0';
-if (isset($_GET['circo'])) get_magic_quotes_gpc() ? $circo=$_GET['circo']:$circo=addslashes($_GET['circo']); else $circo='';
+if (isset($_GET['circo'])) $circo=addslashes($_GET['circo']); else $circo='';
 
 global $prefix,$id_parz,$fileout;
Index: trunk/admin/modules/Elezioni/salva_ref.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_ref.php	(revision 343)
+++ trunk/admin/modules/Elezioni/salva_ref.php	(revision 344)
@@ -40,5 +40,5 @@
 if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='4';
 if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='';
-if (isset($_GET['circo'])) get_magic_quotes_gpc() ? $circo=$_GET['circo']:$circo=addslashes($_GET['circo']); else $circo='';
+if (isset($_GET['circo'])) $circo=addslashes($_GET['circo']); else $circo='';
 
 global $prefix,$id_parz,$fileout;
Index: trunk/admin/modules/Elezioni/salva_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_voti.php	(revision 343)
+++ trunk/admin/modules/Elezioni/salva_voti.php	(revision 344)
@@ -24,19 +24,19 @@
 	}             
 
-if (isset($_GET['genere'])) get_magic_quotes_gpc() ? $genere=$_GET['genere']:$genere=addslashes($_GET['genere']); else $genere='';
-if (isset($_GET['id_cons_gen'])) get_magic_quotes_gpc() ? $id_cons_gen=$_GET['id_cons_gen']:$id_cons_gen=addslashes($_GET['id_cons_gen']); else $id_cons_gen='';
-if (isset($_GET['id_cons'])) get_magic_quotes_gpc() ? $id_cons=$_GET['id_cons']:$id_cons=addslashes($_GET['id_cons']); else $id_cons='';
-if (isset($_GET['op'])) get_magic_quotes_gpc() ? $op=$_GET['op']:$op=addslashes($_GET['op']); else $op='';
-if (isset($_GET['id_circ'])) get_magic_quotes_gpc() ? $id_circ=$_GET['id_circ']:$id_circ=addslashes($_GET['id_circ']); else $id_circ='';
-if (isset($_GET['id_sez'])) get_magic_quotes_gpc() ? $id_sez=$_GET['id_sez']:$id_sez=addslashes($_GET['id_sez']); else $id_sez='';
-if (isset($_GET['id_sede'])) get_magic_quotes_gpc() ? $id_sede=$_GET['id_sede']:$id_sede=addslashes($_GET['id_sede']); else $id_sede='';
-if (isset($_GET['validi'])) get_magic_quotes_gpc() ? $validi=$_GET['validi']:$validi=addslashes($_GET['validi']); else $validi='';
-if (isset($_GET['nulli'])) get_magic_quotes_gpc() ? $nulli=$_GET['nulli']:$nulli=intval($_GET['nulli']); else $nulli='';
-if (isset($_GET['bianchi'])) get_magic_quotes_gpc() ? $bianchi=$_GET['bianchi']:$bianchi=addslashes($_GET['bianchi']); else $bianchi='';
-if (isset($_GET['contestati'])) get_magic_quotes_gpc() ? $contestati=$_GET['contestati']:$contestati=addslashes($_GET['contestati']); else $contestati='';
-if (isset($_GET['votinulli'])) get_magic_quotes_gpc() ? $votinulli=$_GET['votinulli']:$votinulli=addslashes($_GET['votinulli']); else $votinulli='01-01-1900';
-if (isset($_GET['id_comune'])) get_magic_quotes_gpc() ? $id_comune=$_GET['id_comune']:$id_comune=addslashes($_GET['id_comune']); else $id_comune='';
-if (isset($_GET['ops'])) get_magic_quotes_gpc() ? $ops=$_GET['ops']:$ops=addslashes($_GET['ops']); else $ops='';
-if (isset($_GET['delete'])) get_magic_quotes_gpc() ? $delete=$_GET['delete']:$delete=addslashes($_GET['delete']); else $delete='';
+if (isset($_GET['genere'])) $genere=addslashes($_GET['genere']); else $genere='';
+if (isset($_GET['id_cons_gen'])) $id_cons_gen=addslashes($_GET['id_cons_gen']); else $id_cons_gen='';
+if (isset($_GET['id_cons'])) $id_cons=addslashes($_GET['id_cons']); else $id_cons='';
+if (isset($_GET['op'])) $op=addslashes($_GET['op']); else $op='';
+if (isset($_GET['id_circ'])) $id_circ=addslashes($_GET['id_circ']); else $id_circ='';
+if (isset($_GET['id_sez'])) $id_sez=addslashes($_GET['id_sez']); else $id_sez='';
+if (isset($_GET['id_sede'])) $id_sede=addslashes($_GET['id_sede']); else $id_sede='';
+if (isset($_GET['validi'])) $validi=addslashes($_GET['validi']); else $validi='';
+if (isset($_GET['nulli'])) $nulli=intval($_GET['nulli']); else $nulli='';
+if (isset($_GET['bianchi'])) $bianchi=addslashes($_GET['bianchi']); else $bianchi='';
+if (isset($_GET['contestati'])) $contestati=addslashes($_GET['contestati']); else $contestati='';
+if (isset($_GET['votinulli'])) $votinulli=addslashes($_GET['votinulli']); else $votinulli='01-01-1900';
+if (isset($_GET['id_comune'])) $id_comune=addslashes($_GET['id_comune']); else $id_comune='';
+if (isset($_GET['ops'])) $ops=addslashes($_GET['ops']); else $ops='';
+if (isset($_GET['delete'])) $delete=addslashes($_GET['delete']); else $delete='';
 
 global $prefix,$id_parz,$genere,$fileout,$id_cons;
Index: trunk/admin/modules/Elezioni/scarica.php
===================================================================
--- trunk/admin/modules/Elezioni/scarica.php	(revision 343)
+++ trunk/admin/modules/Elezioni/scarica.php	(revision 344)
@@ -16,5 +16,5 @@
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
-$currentlang=$_SESSION['lang'];
+$language=$_SESSION['lang'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 $id_cons_gen=intval($param['id_cons_gen']);	
@@ -29,5 +29,5 @@
 if (isset($param['fase'])) $fase=intval($param['fase']); else $fase=0;
 if (isset($param['id_cons_gen2'])) $id_cons_gen2=intval($param['id_cons_gen2']); else $id_cons_gen2='0';
-if (isset($param['indirizzoweb'])) get_magic_quotes_gpc() ? $indirizzoweb=$param['indirizzoweb']:$indirizzoweb=addslashes($param['indirizzoweb']); else $indirizzoweb='http://www.eleonline.it/moduli/client/';
+if (isset($param['indirizzoweb'])) $indirizzoweb=addslashes($param['indirizzoweb']); else $indirizzoweb='http://www.eleonline.it/client/';
 if (isset($param['id_comune2'])) $id_comune2=intval($param['id_comune2']); else $id_comune2='0';
 
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 343)
+++ trunk/admin/versione.php	(revision 344)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 343";
+$versione = "3.0 rev 344";
 $version_number = $versione;
-$datarel = "19 novembre 2020";
+$datarel = "01 dicembre 2020";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
